<?php
namespace Netlogix\DependencyHierarchy\Domain\Model;

/*                                                                        *
 * This script belongs to the FLOW3 package "Netlogix.DependencyHierarchy"*
 *                                                                        *
 * It is free software; you can redistribute it and/or modify it under    *
 * the terms of the GNU Lesser General Public License, either version 3   *
 * of the License, or (at your option) any later version.                 *
 *                                                                        *
 * The TYPO3 project - inspiring people to share!                         *
 *                                                                        */

use Doctrine\ORM\Mapping as ORM;
use TYPO3\Flow\Annotations as Flow;

class ObjectA {

	/**
	 * @var \TYPO3\Flow\Security\Cryptography\HashService
	 * @Flow\Inject
	 */
	protected $hashService;

	/**
	 * __construct
	 *
	 * @return void
	 */
	public function __construct() {

		$hashService = $this->hashService;

		echo "\$this:              " . get_class($this) . "\n";
		echo "\$this->hashService: " . (is_null($this->hashService) ? 'NULL' : get_class($hashService)) . "\n";
		echo  "__CLASS__:          " . __CLASS__ . "\n";
		echo "\n\n";

	}

}

?>